Subject: Re: Version 1.8.1 does not compile on Cygwin 1.7.14

From: Stephen & Linda Smith <[email-masked]>
Date: Sun, 06 Jan 2013 07:09:24 -0700

On Sunday, January 06, 2013 04:09:17 AM Jonathan Nieder wrote:
> Mark Levedahl wrote:
> >                                                          However, the
> >                                                          newer
> > 
> > win32api is provided only for the current cygwin release series, which can
> > be reliably identified by having dll version 1.7.x, while the older frozen
> > releases (dll versions 1.6.x from redhat, 1.5.x open source) still have
> > the
> > older api as no updates are being made for the legacy version(s).
> 
> Ah.  That makes sense, thanks.
> 
> (For the future, if we wanted to diagnose an out-of-date win32api and
> print a helpful message, I guess cygcheck would be the command to use.)

Thank you for the information.   I will update my cygwin installation.